jQuery(document).ready(function($) {

	//header search toggle
	$('.header-search .search-toggle').on( 'click',function() {
		$(this).siblings('.header-search-wrap').fadeIn();
	});

	$('.header-search .close').on( 'click',function() {
		$(this).parents('.header-search-wrap').fadeOut();
	});

	$(window).on( 'keydown',function(e) {
		if(e.key == 'Escape') {
			$('.header-search .header-search-wrap').fadeOut();
		}
	});

    winWidth     = $(window).width();
	containWidth = $('.site-content .container').width();
	sliderHalfW  = (parseInt(winWidth) - parseInt(containWidth)) / 2;
    
	$('.site-banner.layout-four .banner-items-sj').owlCarousel({
		items          : 1,
		autoplay       : sublime_blog_data.auto ? true : false,
		loop           : sublime_blog_data.loop ? true : false,
		rtl            : sublime_blog_data.rtl ? true : false,
		dots           : false,
		nav            : true,
		mouseDrag      : false,
		lazyLoad       : true,
		margin         : 40,
		autoplaySpeed  : sublime_blog_data.speed,
		autoplayTimeout: sublime_blog_data.pause,
		stagePadding   : sliderHalfW,
		responsive     : {
			0 : {
				stagePadding: 0,
			}, 
			768 : {
				stagePadding: 150,
			}, 
			1025 : {
				stagePadding: 200,
			}, 
			1200 : {
				stagePadding: 300,
			}, 
			1301 : {
				stagePadding: sliderHalfW,
			}
		}
	});

});